{% extends "base.html" %} {% load static %} {% block meta %}
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
<title>Activities</title>
<style>
    body {
        background-color: #FDF7E4;
    }
</style>
{% endblock meta %} {% block content %}

<div class="row justify-content-center" style="height: 100%;margin-top: 5%;">
    <div class="row">
        <a>Activities</a>
    </div>
</div>

<div class="container">
    {% if jumlah != 0 %}
    <div class="row justify-content-center">
        {% for act in activities %}
        <div class="card text-white bg-primary mb-3" style="width: 200px;margin-top:5px; margin-left: 6px; margin-right: 6px; max-width: 18rem;  background-color: #D1644C!important;">
            <div class="card-header justify-content-center" style="text-align: center;font-family: DM Mono;">{{act.nama}}</div>
            <div class="card-body " style="text-align: center;font-family: DM Mono;">
                <table>
                    {% for p in peserta %} {% if p.activity.nama == act.nama %}
                    <p class="card-text">{{p.name}}</p>
                    {% endif %} {% endfor %}
                </table>
            </div>
            <div class="card-footer text-muted" style="text-align: center;">
                <a class="btn btn-secondary btn-sm" id="pesertabutton" href="{% url 'story6:peepform' act.id %}" role="button" style="background-color: #FDF7E4!important;">+</a>
            </div>
        </div>
        {% endfor %}
    </div>
    {% endif %}
    <div class="row justify-content-center">
        <div class="card text-white bg-primary mb-3" style="max-width: 18rem; background-color: #D1644C!important;">
            <div class="card-body" style="text-align: center;">
                <p class="card-title" style="text-align: center;font-family: DM Mono;top: 8px;">Add Activity!</p>
                <div class="form-group " style="width: 100%; height: 100%; color: #D1644C; font-family: DM Mono;">
                    <form method='POST'>
                        {% csrf_token %} {{ actform.as_p }}<input type='submit' value='+' style="background-color: #FDF7E4;" />
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>


{% endblock content %}